# MimeLinesBody Class Reference

MIME for multiple text lines. More...

`#include <yatemime.h>`

Inheritance diagram for MimeLinesBody:

List of all members.

## Public Member Functions

| MimeLinesBody (const String &type, const char *buf, int len)
virtual | ~MimeLinesBody ()
virtual void * | getObject (const String &name) const
virtual MimeBody * | clone () const
const ObjList & | lines () const
void | addLine (const char *line)

## Protected Member Functions

| MimeLinesBody (const MimeLinesBody &original)
virtual void | buildBody () const

## Detailed Description

MIME for multiple text lines.

An object holding MIME data as separate text lines

## Constructor & Destructor Documentation

MimeLinesBody | ( | const String & | type,
|  | const char * | buf,
|  | int | len |
| ) |  |  |

Constructor from block of data

Parameters:

  | buf | Pointer to buffer of data
  | len | Length of data in buffer
  | type | Name of the specific MIME type/subtype

virtual ~MimeLinesBody | ( |  | ) | `[virtual]`

Destructor

MimeLinesBody | ( | const MimeLinesBody & | original | ) | `[protected]`

Copy constructor

## Member Function Documentation

virtual void* getObject | ( | const String & | name | ) | const`[virtual]`

RTTI method, get a pointer to a derived class given that class name

Parameters:

  | name | Name of the class we are asking for

Returns:
  Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeBody.

virtual MimeBody* clone | ( |  | ) | const`[virtual]`

Duplicate this MIME body

Returns:
  Copy of this MIME body - a new MimeLinesBody

Implements MimeBody.

const ObjList& lines | ( |  | ) | const`[inline]`

Retrive the stored lines of text

Returns:
  List of Strings

void addLine | ( | const char * | line | ) | `[inline]`

Append a line of text to the data

Parameters:

  | line | Text to append

virtual void buildBody | ( |  | ) | const`[protected, virtual]`

Override that is called internally to build the binary encoded body

Implements MimeBody.

The documentation for this class was generated from the following file:

- yatemime.h